農学部×Linux

農学部で情報系の勉強をしている人の備忘録。

GrADSのインストールで -lszがないと怒られる

GrADS(気象データを解析するツール)のインストールでこけたのでメモ。

 

Arch linux、yaourtを仕様。

コンパイル時に以下のエラーを吐かれた

/usr/bin/ld: cannot find -lsz

makeで「/usr/bin/ld: cannot find」と表示されるときは − @IT

 

どうやらlszライブラリーが存在していない模様。

ところがAURで探してみても、ググッてもそれらしいライブラリーは見つからず。

GrADS Supplibs

このページのnetcdfでの依存パッケージを見てみた所、szipとやらが怪しい。

$ yaourt -S szip

 再度gradsのインストールに挑戦したら無事成功